Bug 244937 - mod_admserv: Should do client TLS/SSL init even if mod_nss not used
Summary: mod_admserv: Should do client TLS/SSL init even if mod_nss not used
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin   
(Show other bugs)
Version: 1.1.0beta
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-06-19 23:10 UTC by Rich Megginson
Modified: 2015-12-07 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:31:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (3.35 KB, patch)
2007-06-19 23:12 UTC, Rich Megginson
no flags Details | Diff

Description Rich Megginson 2007-06-19 23:10:55 UTC
The way mod_admserv works now is that it only does NSS initialization if mod_nss
is being used.  But mod_nss is only for the server side of TLS/SSL.  mod_admserv
needs to be able to speak LDAPS to the directory server even if it is not a
TLS/SSL server itself.

Comment 1 Rich Megginson 2007-06-19 23:12:33 UTC
Created attachment 157430 [details]
diffs

Comment 2 Noriko Hosoi 2007-06-19 23:28:50 UTC
Your changes look good.

Comment 3 Rich Megginson 2007-06-19 23:33:35 UTC
Reviewed by: nhosoi (Thanks!)
Fix Description: The way the code currently works is that mod_admserv let's
mod_nss do all of the NSS initialization.  But mod_nss is only used when the
admin server is also a TLS/SSL server.  mod_admserv still needs to do NSS
initialization when it is a TLS/SSL client (e.g. of the config DS using LDAPS).
 This fix allows mod_admserv to do the client side TLS/SSL init.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no

Index: mod_admserv.c
===================================================================
RCS file: /cvs/dirsec/mod_admserv/mod_admserv.c,v
retrieving revision 1.29
retrieving revision 1.30
diff -u -r1.29 -r1.30
--- mod_admserv.c	11 May 2007 19:46:36 -0000	1.29
+++ mod_admserv.c	19 Jun 2007 23:31:12 -0000	1.30


Note You need to log in before you can comment on or make changes to this bug.